import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetMenuListParams, OriginalListParams} from '@models';

export const contextState: OriginalListParams<GetMenuListParams> = {
  name: '',
  pId: '',
  modifyUser: '',
};
export const context = createTableSearchContext(contextState);

export const searchContext = createSearchContext();
export const pageContext = createPageContext();
export const PRELOAD_KEY = '/menu_second_level';
